%define pythondir python%__python_version

Name: PDFlib-Lite
Version: 6.0.1
Release: alt2
License: GPL
Url: http://www.pdflib.com
AutoReq: yes, noshell
BuildRequires: autoconf >= 2.5 
#BuildRequires: python = %__python_version
BuildRequires: python-devel = %__python_version
BuildRequires: tcl, tcl-devel
BuildRequires: perl-base, perl-devel
Source0: PDFlib-Lite-%version.tar.gz
Patch0: PDFlib-image.patch
Patch1: PDFlib-configure.patch
#----------------------------------------------------------------------
Summary: PDFlib - A library for generating PDF on the fly
Summary(ru_RU.KOI8-R): PDFlib -    PDF
Group: Development/Other
%description
Portable C library for dynamically generating PDF ("Adobe Acrobat") files,
with support for many other programming languages.

PDFlib is a library for generating PDF files. It offers an API with
support for text, vector graphics, raster image, and hypertext. Call PDFlib
routines from within your client program and voila: dynamic PDF files!

%description -l ru_RU.KOI8-R
 C-     PDF ("Adobe Acrobat"),
     .

PDFlib -     PDF.   API  
 ,  ,    . 
 PDFlib      :  PDF !
#----------------------------------------------------------------------
%package devel
Summary: PDFLib for developers
Summary(ru_RU.KOI8-R):  PDFLib  
Group: Development/C
%description devel
PDFlib for developers: the "C" binding
%description devel -l ru_RU.KOI8-R
    PDFlib     "C".

#----------------------------------------------------------------------
%package python
Summary: PDFLib python binding
Summary(ru_RU.KOI8-R):  PDFLib  
Group: Development/Python
Requires: python = %__python_version
%description python
PDF library binding for python

%description python -l ru_RU.KOI8-R
   python,      PDFlib

#----------------------------------------------------------------------
%package perl
Summary: PDFLib perl binding
Summary(ru_RU.KOI8-R):  PDFLib  perl
Group: Development/Perl
Requires: perl
%description perl
PDF library binding for perl

%description perl -l ru_RU.KOI8-R
   perl,      PDFlib

#----------------------------------------------------------------------
%package tcl
Summary: PDFLib tcl binding
Summary(ru_RU.KOI8-R):  PDFLib  tcl
Group: Development/Tcl
Requires: tcl
%description tcl
PDF library binding for tcl

%description tcl -l ru_RU.KOI8-R
   tcl,      PDFlib 
#----------------------------------------------------------------------
%package php
Summary: PDFLib php binding
Summary(ru_RU.KOI8-R):  PDFLib  php
Group: Development/C
Requires: php-common
%description php
PDF library binding for php

%description php -l ru_RU.KOI8-R
   php,      PDFlib,
    .

#----------------------------------------------------------------------
#----------------------------------------------------------------------
# Prepare, Building & Install
#----------------------------------------------------------------------
%prep
%setup -n PDFlib-Lite-%version
#*
#patch0 -p1
%patch1 -p1

%build
  %configure --prefix=/usr --with-pyincl=/usr/include/python2.3 --with-py=/usr
  make all

%install
  # Make the Necessary Directories
  install -m0755 --directory      $RPM_BUILD_ROOT/usr/include
  install -m0755 --directory      $RPM_BUILD_ROOT/usr/bin
  install -m0755 --directory      $RPM_BUILD_ROOT/usr/lib/%pythondir/site-packages
  install -m0755 --directory      $RPM_BUILD_ROOT/usr/lib/%pythondir/lib-dynload
  install -m0755 --directory      $RPM_BUILD_ROOT/usr/share/tcl/tcl8.4/pdflib
  install -m0755 --directory      $RPM_BUILD_ROOT$RPM_DOC_DIR/PDFLib-Lite-%version
  install -m0755 --directory      $RPM_BUILD_ROOT/usr/lib/perl5/i386-linux/auto/pdflib_pl

  /bin/install -c -m 644 libs/pdflib/pdflib.h $RPM_BUILD_ROOT/usr/include
  cd libs/pdflib/
  ../../libtool --silent /bin/install -c -m 644 libpdf.la  $RPM_BUILD_ROOT/usr/lib/
  cd ../..

  cp -af doc/*  $RPM_BUILD_ROOT$RPM_DOC_DIR/PDFLib-Lite-%version

  /bin/install -c -m 644 pdflib-config $RPM_BUILD_ROOT/usr/bin/
  /bin/install -c -m 644 bind/pdflib/python/.libs/*  $RPM_BUILD_ROOT/usr/lib/%pythondir/lib-dynload/
  /bin/install -c -m 644 bind/pdflib/tcl/.libs/*  $RPM_BUILD_ROOT/usr/share/tcl/tcl8.4/pdflib/
  /bin/install -c -m 644 bind/pdflib/perl/.libs/*  $RPM_BUILD_ROOT/usr/lib/perl5/i386-linux/auto/pdflib_pl
  /bin/install -c -m 644 bind/pdflib/perl/pdflib_pl.pm  $RPM_BUILD_ROOT/usr/lib/perl5/i386-linux
  /bin/install -c -m 644 progs/pdflib/{pdfimage,pdfimpose,text2pdf}  $RPM_BUILD_ROOT/usr/bin/

  %define samples businesscard,chartab,hello,image,invoice,pdfclock

  install -m0755 --directory $RPM_BUILD_ROOT$RPM_DOC_DIR/PDFLib-Lite-%version/sample/data
  /bin/install -c -m 644 bind/pdflib/data/* \
	$RPM_BUILD_ROOT$RPM_DOC_DIR/PDFLib-Lite-%version/sample/data

  install -m0755 --directory $RPM_BUILD_ROOT$RPM_DOC_DIR/PDFLib-Lite-%version/sample/tcl
  /bin/install -c -m 644 bind/pdflib/tcl/{{%samples}.tcl,readme.txt} \
	$RPM_BUILD_ROOT$RPM_DOC_DIR/PDFLib-Lite-%version/sample/tcl

  install -m0755 --directory $RPM_BUILD_ROOT$RPM_DOC_DIR/PDFLib-Lite-%version/sample/perl
  /bin/install -c -m 644 bind/pdflib/perl/{{%samples}.pl,readme.txt} \
	$RPM_BUILD_ROOT$RPM_DOC_DIR/PDFLib-Lite-%version/sample/perl

  install -m0755 --directory $RPM_BUILD_ROOT$RPM_DOC_DIR/PDFLib-Lite-%version/sample/python
  /bin/install -c -m 644 bind/pdflib/python/{{%samples}.py,readme.txt} \
	$RPM_BUILD_ROOT$RPM_DOC_DIR/PDFLib-Lite-%version/sample/python

  install -m0755 --directory $RPM_BUILD_ROOT$RPM_DOC_DIR/PDFLib-Lite-%version/sample/php
  /bin/install -c -m 644  bind/pdflib/php/{{%samples}.php,readme.txt} \
	$RPM_BUILD_ROOT$RPM_DOC_DIR/PDFLib-Lite-%version/sample/php

%files
    %defattr(-, root, root)
    /usr/bin/pdflib-config 
    /usr/lib/libpdf.so*
    /usr/bin/pdfimage
    /usr/bin/pdfimpose
    /usr/bin/text2pdf
    %doc doc/*
    %{_docdir}/PDFLib-Lite-%version/sample/data

%files devel
    %defattr(-, root, root)
    #/usr/lib/libpdf.la
    /usr/lib/libpdf.a
    /usr/include/pdflib.h

%files python
    %defattr(-, root, root)
    /usr/lib/%pythondir/lib-dynload/*
    %{_docdir}/PDFLib-Lite-%version/sample/python

%files perl
    %defattr(-, root, root)
    %{_docdir}/PDFLib-Lite-%version/sample/perl
    /usr/lib/perl5/i386-linux/auto/pdflib_pl/*
    /usr/lib/perl5/i386-linux/*

%files tcl
    %defattr(-, root, root)
    /usr/share/tcl/tcl8.4/pdflib
    %{_docdir}/PDFLib-Lite-%version/sample/tcl

%files php
    %defattr(-, root, root)
    %{_docdir}/PDFLib-Lite-%version/sample/php

%changelog
* Thu Mar 03 2005 Andrey Orlov <cray@altlinux.ru> 6.0.1-alt2
- Adopted to use with python2.4

* Sat Jan 15 2005 Andrey Orlov <cray@altlinux.ru> 6.0.1-alt1
- New Version

* Sun Jan 11 2004 Andrey Orlov <cray@altlinux.ru> 5.0.1-alt5
- Spec remarks enhanced

* Sun Dec 21 2003 Andrey Orlov <cray@altlinux.ru> 5.0.1-alt4
- Patched 

* Sun Dec 21 2003 Andrey Orlov <cray@altlinux.ru> 5.0.1-alt3
- Python23 adopted

* Tue Aug 26 2003 Andrey Orlov <cray@altlinux.ru> 5.0.1-alt2
- Tested release

* Mon Aug 25 2003 Andrey Orlov <cray@altlinux.ru> 5.0.1-alt1
- Inintial release
